Index: trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php
===================================================================
--- trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php	(revision 29085)
+++ trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php	(revision 29089)
@@ -69,5 +69,5 @@
 $lang['first_contact_stp38'] = 'Плагины - очень легкий путь настроить Ваш Piwigo. Они могут делать почти всё, что Вы можете вообразить: от небольших дополняющих текстовых пометочек, до возможностей плагина Community, который позволяет пользователям загружать свои изображения, без обладания правами администратора.';
 $lang['first_contact_stp39'] = 'На этой странице перечислены установленные плагины. Сверху показаны активированные плагины, которые в настоящее время работают. Снизу - плагины, которые установлены в папке плагинов, но отключены. Удаление плагина означает, что все следы плагина будут удалены (файлы, параметры и т.д.). Для большинства плагинов: после отключения сохранятся данные, зарегистрированные плагином.';
-$lang['first_contact_stp43'] = 'Этот тур был весьма длинным, но мы увидели только незначительную часть всей мощи Piwigo. Вс` имеет конец, вот и этот краткий обзор закончен. <br> Вы можете обнаружить гораздо больше классных особенностей Piwigo, выбрав другие туры или читая нашу документацию на веб-сайтах piwigo.org и ru.piwigo.org';
+$lang['first_contact_stp43'] = 'Этот тур был весьма длинным, но мы увидели только незначительную часть всей мощи Piwigo. Всё имеет конец, вот и этот краткий обзор закончен. <br> Вы можете обнаружить гораздо больше классных особенностей Piwigo, выбрав другие туры или читая нашу документацию на веб-сайтах piwigo.org и ru.piwigo.org';
 $lang['first_contact_stp7'] = 'Здесь краткое описание Ваших загруженных изображений. Как видите, Piwigo создал эскизы-миниатюрки. Вы можете узнать, как еще добавлять изображения по ссылке внизу, редактировать свойства изображения, нажав на него, или нажмите кнопку для управления всеми загруженными изображениями в плагине Batch Manager...';
 $lang['first_contact_stp42'] = 'Piwigo - многоязычный. По умолчанию, язык Piwigo устанавливается согласно языку браузера посетителя. Если язык посетителя не доступен, используется язык, установленный в Piwigo по умолчанию.';
@@ -163,5 +163,5 @@
 - возможность применять в запросах единственное/множественное число (пока только для английского и французкого языков) <br>
 ';
-$lang['2_7_0_stp11'] = 'Этот тур окончен. <p style="text-align:center">Наслаждайтесь Вашим  Piwigo 2.7!</p> Если Вам нравится Piwigo и Вы хотите поддержать разработчиков, то Вы можете помочь с переводом на другие языки, пожертвовав немного денежек и т.п. по Вашему желанию.  <a href="http://piwigo.org/basics/contribute" target="_blank">Кликните здесь для поддержки</a>';
+$lang['2_7_0_stp11'] = 'Этот тур окончен. <p style="text-align:center">Наслаждайтесь Вашим  Piwigo 2.7!</p> Если Вам нравится Piwigo, и Вы хотите поддержать разработчиков, то Вы можете помочь с переводом на другие языки, или пожертвовав немного денежек и т.п. по Вашему желанию.  <a href="http://piwigo.org/basics/contribute" target="_blank">Кликните здесь для поддержки</a> Спасибо!';
 $lang['2_7_0_stp1'] = 'Здравствуйте! Я буду Вашим гидом, чтобы соверщить маленькие открытия в Piwigo. Пожалуйста, следуйте моим указаниям и нажмите кнопку Далее (или используйте стрелки клавиатуры) для навигации. Если Вы перейдете к другой странице администрирования, Вы будете перенаправлены на текущую страницу тура.';
 $lang['2_7_0_stp2'] = 'Как Вы видите, установлен новый плагин по умолчанию - Take A Tour. Этот плагин поможет Вам узнать получше возможности Piwigo. Вот перечислены пока все доступные туры. <br> Эта страница доступна в разделе <em>Плагины » Take A Tour</em>';
@@ -169,2 +169,12 @@
 $lang['2_7_0_descrp'] = 'Что нового в Piwigo 2.7';
 $lang['2.7 Tour'] = 'Тур по версии 2.7';
+$lang['privacy_stp24'] = 'Этот тур окончен. <p style="text-align:center">Наслаждайтесь Вашим  Piwigo</p> Если Вам нравится Piwigo, и Вы хотите поддержать разработчиков, то Вы можете помочь с переводом на другие языки, или пожертвовав немного денежек и т.п. по Вашему желанию.  <a href="http://piwigo.org/basics/contribute" target="_blank">Кликните здесь для поддержки</a> Спасибо!';
+$lang['privacy_stp18'] = 'Для добавления или удаления пользователей в группах перейдите на страницу <em>Пользователи » Управление</em>';
+$lang['privacy_title17'] = 'Группы';
+$lang['privacy_title18'] = 'Группы';
+$lang['privacy_title19'] = 'Пользователи';
+$lang['privacy_title20'] = 'Публичные изображения';
+$lang['privacy_title21'] = 'Публичные изображения';
+$lang['privacy_title22'] = 'Локальная конфигурация: оригинальная защита';
+$lang['privacy_title23'] = 'Локальная конфигурация: уровень доступа';
+$lang['privacy_title24'] = 'Это было прекрасное время';