Index: extensions/charlies_content/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/charlies_content/language/nl_NL/plugin.lang.php	(revision 29142)
+++ extensions/charlies_content/language/nl_NL/plugin.lang.php	(revision 29148)
@@ -37,7 +37,7 @@
 $lang['Play icon'] = 'Afspeel icoon';
 $lang['Player and Buttons'] = 'Speler en knoppen';
-$lang['Player buttons'] = 'Speler knoppen';
+$lang['Player buttons'] = 'Spelersknoppen';
 $lang['Player'] = 'Speler';
-$lang['Players options'] = 'Spelers opties';
+$lang['Players options'] = 'Spelersopties';
 $lang['RTMP server URL'] = 'RTMP server URL';
 $lang['Reset ALL Charlies\' configuration'] = 'Reset ALLE Charlies\' configuratie';
@@ -77,10 +77,10 @@
 $lang['Forced video height'] = 'Verplichte video hoogte';
 $lang['Unknown file (Start image)'] = 'Onbekend bestand (Start afbeelding)';
-$lang['Unknown file (skin)'] = 'Onbekend bestand (huid)';
+$lang['Unknown file (skin)'] = 'Onbekend bestand (opmaak)';
 $lang['Show subtitles switch'] = 'Toon ondertiteling knop';
 $lang['You are Adviser and you are not authorized to change this configuration.'] = 'Je bent Adviseur en je bent niet geautoriseerd om veranderingen toe te brengen aan de configuratie.';
-$lang['Player transparency ']['0-100'] = 'Speler transparentie [0-100]';
-$lang['Skin image'] = 'Huid afbeelding';
-$lang['Skin'] = 'Huid';
+$lang['Player transparency ']['0-100'] = 'Spelerstransparentie [0-100]';
+$lang['Skin image'] = 'Opmaak-afbeelding';
+$lang['Skin'] = 'Opmaak';
 $lang['Time left'] = 'Tijd over';
 $lang['Templates configuration'] = 'Sjabloon configuratie';
@@ -107,5 +107,5 @@
 $lang['Curtain selection'] = 'Overgangen';
 $lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'De transparantie-instelling van het speel-icoon klopt niet. (Juiste mogelijkheden: 0-100)';
-$lang['Player transparency is out of range (Correct range: 0-100)'] = 'De transparantie-instelling klopt niet. (Juiste mogelijkheden: 0-100)';
+$lang['Player transparency is out of range (Correct range: 0-100)'] = 'De transparantie-instelling klopt niet. (Juiste waarden: 0-100)';
 $lang['Players colors'] = 'Spelerskleuren';
 $lang['Players colours selection'] = 'Spelerskleuren-selectie';
@@ -126,5 +126,5 @@
 $lang['Video buffer background'] = 'Videobuffer achtergrond';
 $lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Onbekend bestand of URL|x|y fout (x en y moet numeriek zijn)';
-$lang['Top border fading'] = 'Top rand vervagen';
+$lang['Top border fading'] = 'Bovenrand vervaging';
 $lang['(URL|x|y : where x,y are the offsets to place the picture)'] = '(URL|x|y: waarbij x,y de offsets zijn om de foto te plaatsen)';
 $lang['(URL of a non progressive jpg)'] = '(De URL van een niet-progressieve jpg)';
@@ -135,2 +135,11 @@
 $lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = '. png zonder transparantie wordt aanbevolen. Misschien kunt u een gordijnen-set vervangen door de uwe.';
 $lang['Stop stops loading'] = 'Stop stopt het laden';
+$lang['Leftbar gradient fading'] = 'Linker balk vervaging';
+$lang['Rightbar gradient fading'] = 'Rechter balk vervaging';
+$lang['Hover player buttons'] = 'Hover spelersknoppen';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Verkeerde bestandsnaam. RTMP (Real Time Messaging Protocol) is een op TCP gebaseerd protocol, ontwikkeld door Adobe System voor het doel van streaming audio-/video-gegevens tussen Flash Player en media server.';
+$lang['Margin for skin'] = 'Marge voor opmaak';
+$lang['Margin is out of range (Correct range: 0-40)'] = 'Marge is buiten bereik (Correcte waarden: 0-40)';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Kleurgebruik kan alleen ter informatie zijn (Spelers kunnen deze gewoon negeren of anders gebruiken)';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'Ter info: al deze opties kunnen worden gebruikt of juist NIET door de interne speler (sjabloon).';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Opm.: Deze opties zijn beschikbaar mbv de Maxi FLV Player. Meer details over deze opties, zie';