Index: /trunk/language/zh_CN/help/help_permissions.html
===================================================================
--- /trunk/language/zh_CN/help/help_permissions.html	(revision 29176)
+++ /trunk/language/zh_CN/help/help_permissions.html	(revision 29177)
@@ -1,49 +1,49 @@
 <fieldset>
-<legend>相片的权限</legend>
+<legend>图片的权限</legend>
 
-<p>每张相片都有一个 <strong>私有级别</strong> (一个锁). 每个用户也有一个私有级别 (一个钥匙). 共有5个私有级别:</p>
+<p>每张图片都有一个 <strong>隐私等级</strong> (一个锁)。每个用户也有一个隐私等级 (一个钥匙)。隐私等级共有5级：</p>
 <ol>
-  <li>没有</li>
+  <li>无</li>
   <li><em>联系人</em></li>
   <li><em>朋友 (比联系人高级)</em></li>
-  <li><em>家庭 (比朋友高级)</em></li>
-  <li><em>管理员 (比任何级别都要高)</em></li>
+  <li><em>家人 (比朋友高级)</em></li>
+  <li><em>管理员 (比任何等级都要高)</em></li>
 </ol>
 
-<p>高级别的拥有低级别的权限。一个拥有权限的用户，其私有级别越高，所能看到的相片也越多。</p>
+<p>高等级拥有低等级的权限。一个拥有权限的用户，其隐私等级越高，所能看到的图片也越多。</p>
 
-<p>例如，如果这张相片 "peter_wedding-0024.jpg" 拥有 <em>"家庭"</em> 的私有级别, 那么:</p>
+<p>例如，如果这张图片 "peter_wedding-0024.jpg" 拥有 <em>"家人"</em> 的隐私等级，那么：</p>
 <ul>
-  <li>Peter (是一个 <em>"管理员"</em>) 将可以看到此相片，因为 <em>"管理员"</em> 能看到所有相片</li>
-  <li>Beth (是一个 <em>"家庭"</em> 成员) 将可以看到此相片</li>
-  <li>Mary (只是一个 <em>"朋友"</em>) 将不能看到此相片</li>
+  <li>Peter (是一个 <em>"管理员"</em>) 将可以看到此图片，因为 <em>"管理员"</em> 能看到所有图片</li>
+  <li>Beth (是一个 <em>"家人"</em>) 将可以看到此图片</li>
+  <li>Mary (只是一个 <em>"朋友"</em>) 将不能看到此图片</li>
 </ul>
 
-<p>如果一个用户没有看到类别内容的权限，那么他也不能看到自己的类别，甚至是它的标题。同样的规则也适用于标签。</p>
+<p>如果一个用户没有查看一个相册的内容的权限，那么他将看不到该相册，甚至它的标题也看不到。同样的规则也适用于标签。</p>
 
-<p>您可以在 <span class="pwgScreen">管理员 &raquo; 用户 &raquo; 管理</span> 的界面里为用户设置私有级别。</p>
+<p>您可以在 <span class="pwgScreen">后台管理 &raquo; 用户 &raquo; 管理</span> 界面上为用户设置隐私等级。</p>
 
 </fieldset>
 
 <fieldset>
-<legend>类别的权限</legend>
+<legend>相册的权限</legend>
 
-<p>如果私有级别不能满足您的需要，您也可以设置类别上的权限以管理用户或组。您可以同时设置相片和类别上的权限，这并没有冲突。</p>
+<p>如果隐私等级不符合您的需要，您也可以为用户或用户组设置相册的权限。您可以同时设置图片和相册的权限，而并不产生冲突。</p>
 
-<p>如果您想禁止类别的访问，可以改变类别访问类型为 "私有" </p>
+<p>您可以禁用相册的访问授权。在您管理权限时，可以将相册的授权类型切换到 "非公开"。</p>
 
 <p>您可以通过
-(<span class="pwgScreen">管理员 &raquo; 类别 &raquo; 管理 &raquo; 修改</span>) 将某个类别设置为私有，或者通过设置选项
-(<span class="pwgScreen">管理员 &raquo; 类别 &raquo; 属性 &raquo; 公有 / 私有</span>) 设置全局的类别属性.</p>
+(<span class="pwgScreen">后台管理 &raquo; 相册 &raquo; 管理 &raquo; 编辑</span>) 将单个相册设置为非公开，或者通过
+(<span class="pwgScreen">后台管理 &raquo; 相册 &raquo; 属性 &raquo; 公开 / 非公开</span>) 设置整个相册分支树的属性。</p>
 
-<p>当类别被设置为私有时，您可以通过以下3个界面对用户组和用户的权限进行管理:</p>
+<p>当相册被设置为非公开时，您可以通过以下3个界面对用户组和用户的权限进行管理:</p>
 
 <ul>
 
-  <li><span class="pwgScreen">管理员 &raquo; 用户 &raquo; 管理 &raquo;  权限设置</span> (每个用户一个链接)</li>
+  <li><span class="pwgScreen">后台管理 &raquo; 用户 &raquo; 管理 &raquo; 编辑 &raquo;  隐私等级</span> (每个用户一个链接)</li>
 
-  <li><span class="pwgScreen">管理员 &raquo; 用户 &raquo; 组 &raquo;  权限设置</span> (每个组一个链接)</li>
+  <li><span class="pwgScreen">后台管理 &raquo; 用户 &raquo; 组 &raquo;  权限</span> (每个组一个链接)</li>
 
-  <li><span class="pwgScreen">管理员 &raquo; 类别 &raquo; 管理 &raquo; 权限设置</span> (每个类别一个链接)</li>
+  <li><span class="pwgScreen">后台管理 &raquo; 相册 &raquo; 管理 &raquo; 编辑 &raquo; 权限</span> (每个相册一个链接)</li>
 
 </ul>