Index: /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 29276)
+++ /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 29277)
@@ -145,2 +145,25 @@
 $lang['2_7_0_title4'] = 'Page de recherche';
 $lang['2_7_0_stp4'] = 'La page de recherche a été retravaillée : il est possible de sélectionner la propriété sur laquelle la recherche de mot va s\'appliquer, liste des auteurs, des tags, des albums  de la base...';
+$lang['privacy_stp17'] = 'Un groupe Piwigo est juste un ensemble d\'utilisateurs. Ainsi les groupes permettent d\'une part de gérer plus facilement les autorisations des albums, et d\'autre part, de gérer les propriétés des utilisateurs. Voici la page où vous pouvez gérer les groupes, c\'est à dire renommer, fusionner, dupliquer, supprimer. Vous pouvez également définir un ou plusieurs groupes comme "groupe par défaut" ce qui signifie que les utilisateurs nouvellement inscrits seront affectés par ces groupes définis par défaut.';
+$lang['privacy_stp22'] = '<em>Pour les utilisateurs avancés</em> <br><br> Dans Piwigo, vous pouvez protéger les photos originales en utilisant votre configuration locale. Utilisez la variable $conf[\' original_url_protection\']: par défaut vide, vous définissez la valeur de "images" à protéger uniquement les photos ou "toutes" pour protéger également tous les types de médias, qui peuvent être consommatrice de ressources ou pourrait tout simplement ne pas fonctionner sur votre serveur. <br><br> Cette option fonctionne pour le contenu public et privé. Cette option vous oblige actuellement à refuser les accès aux dossiers /upload et /galeries, en utilisant un fichier .htaccess (généralement un fichier texte avec "Deny from all" pour le contenu) ou les configurations de serveur. <br> S\'il vous plaît, notez que les noms de fichiers de photos téléchargées en utilisant une autre méthode de FTP sont <b> randomisé </ b>, de sorte qu\'ils sont impossibles à deviner: ce nom de fichier et ainsi le chemin à la photo originale peut être connue que si le visiteur a accès à un redimensionnement de cette photo, comme une vignette. $conf[\'original_url_protection\'] et refuser l\'accès au dossier /upload et /galeries sont destinés à éviter ce cas.';
+$lang['privacy_stp6'] = 'Quand vous téléchargez les photos, vous pouvez modifier le niveau de confidentialité juste ici...';
+$lang['privacy_stp9'] = '... Et sélectionnez l\'action «Qui peut voir les photos?". Maintenant, vous pouvez modifier le niveau de confidentialité des images sélectionnées. <br><br> Mais vous pouvez aussi le faire pour une image spécifique, sur sa page d\'édition. Vous pouvez y accéder depuis la partie publique, ou à partir d\'ici. <br> Maintenant, je vais vous montrer l\'autre système d\'autorisation pour les albums basé sur les groupes et les utilisateurs.';
+$lang['privacy_stp7'] = '... Ou bien vous pouvez le faire plus tard, ici dans Batch Manager en mode Global. <br><br> Ceci est la page <em>Photos » Photos récentes</em>, de sorte que le filtre "Dernière importation" est défini.';
+$lang['privacy_stp5'] = 'Ci-dessous on vous explique comment vous pouvez gérer les groupes. <br> Ces autorisations ne concernent que l\'accès des photos et les albums, lors de la navigation sur la partie publique ou pour les applications externes. Nous verrons plus tard d\'autres protections, mais nous allons pratiquer maintenant !';
+$lang['privacy_stp4'] = 'Nous avons donc deux systèmes de gestion des autorisations pour les photos. Ils sont indépendants, de sorte que vous pouvez créer un groupe appelé la Famille, mais ce groupe n\'a rien à voir avec la famille au niveau de la vie privée !!! <br> Les niveaux de confidentialité sont appliqués par l\'image, et les autorisations de groupe / utilisateur sont appliqués par album. Vous pouvez utiliser les 2 systèmes ou un seul, c\'est flexible. <br> L\'onglet suivant concerne la gestion du groupe.';
+$lang['privacy_stp23'] = '<em>Pour les utilisateurs avancés</em> <br> Les niveaux de confidentialité sont codés en dur dans la variable locale de configuration $conf[\'available_permission_levels\']. Vous pouvez ajouter un nouveau niveau, en ajoutant un nombre intermédiaire, mais la suppression d\'un niveau est fortement déconseillé. Vous pouvez traduire votre nouveau niveau: utiliser $lang[\'level X\'] où X est votre nouveau nombre.';
+$lang['privacy_stp24'] = 'Cette visite est terminée. <p style = "text-align: centre">Profitez de votre Piwigo ! </p> Si vous aimez Piwigo et que vous souhaitez nous soutenir, vous pouvez contribuer en aidant les traductions, les dons, etc... <a href = "http://piwigo.org/basics/contribute" target = "_blank"> Cliquez ici pour nous soutenir </a>. Merci!';
+$lang['privacy_stp21'] = 'Les solutions sont: <Ul> <li> mettre un filigrane, au moins sur les photos en moyenne et haute définition </ li> <li> et désactiver XL et XXL </ li> <li> et désactiver la Haute Définition (téléchargement et affichage de l\'image originale) pour les utilisateurs concernés.';
+$lang['privacy_stp20'] = 'Maintenant, vous savez comment garder vos photos en mode "privé", comment faire en mode "publique". Vous pourriez d\'abord penser à bloquer le visiteur pour ne pas télécharger la photo... Vous ne pouvez pas, parce que le web a été créé de cette façon (le navigateur du visiteur télécharge toutes les ressources affichées, et plus). Le clic-droit peut être désactivé, un masque blanc peut être mis sur la photo, etc, mais cela ne pourra pas désactiver le téléchargement. Les pages Web complètes peuvent être enregistrées par n\'importe quel navigateur Web.';
+$lang['privacy_stp2'] = 'Ici, vous pouvez accéder à l\'aide intégrée. Cliquez sur \'Suivant\' pour continuer directement à la page d\'aide sur la gestion des autorisations.';
+$lang['privacy_stp19'] = 'Ici, vous pouvez rapidement modifier un seul utilisateur en le survolant, puis cliquez sur le lien \'Modifier\'. <br> Vous pouvez sélectionner plusieurs utilisateurs et les éditer en une seule fois en choisissant une Action à appliquer.';
+$lang['privacy_stp3'] = 'Prenez un moment pour lire les informations ci-dessous.';
+$lang['privacy_stp18'] = 'Pour ajouter ou supprimer des utilisateurs à des groupes, aller sur la page <em>Utilisateurs » Gérer</em>.';
+$lang['privacy_stp16'] = 'Comme sur votre ordinateur, vous pouvez sélectionner plusieurs albums en utilisant les touches Maj et Ctrl, puis cliquez sur la flèche pour les sélectionner. <br> Maintenant, laissez-moi vous présenter les groupes.';
+$lang['privacy_stp15'] = 'Juste avant d\'expliquer les groupes, une astuce pro: <br> Voici le lien vers une page qui vous permet en une seul fois de définir les types d\'autorisation (public/privé) pour plusieurs albums. Cliquez sur ce lien.';
+$lang['privacy_stp14'] = 'Ensuite, les utilisateurs et groupes d\'utilisateurs peuvent être autorisés pour accéder à l\'album.';
+$lang['privacy_stp12'] = 'Sur cette page, vous pouvez choisir si l\'album sera disponible pour tout le monde ou sera restreint à certains utilisateurs.';
+$lang['privacy_stp10'] = 'Nous sommes dans la gestion de la liste des Albums disponible dans le menu en utilisant <em>Albums » Gérer</em> <br> <br> sur Modifier l\'album en le survolant, puis cliquez sur Modifier.';
+$lang['privacy_stp1'] = 'A que coucou! Je serai votre guide pour découvrir comment protéger vos photos dans Piwigo. S\'il vous plaît suivez mes instructions, et cliquez sur \'Suivant\' (ou utilisez les flèches de votre clavier) pour naviguer. Si vous allez à une autre page de l\'administration, vous serez redirigé vers la page en cours du Tour. Si vous êtes coincé et ne pouvez pas terminer la visite, aller à <em>Plugins » Take A Tour</em> cela terminera la visite. <br> Commençons!';
+$lang['privacy_descrp'] = 'Cette visite vous présente toutes les manières de protéger vos photos de l\'accès public avec des systèmes d\'autorisation par album et par image, et vous protège de la copie à l\'aide de protection d\'image.';
+$lang['2_7_0_stp6'] = 'Le script de sélection pour choisir les albums, les mots-clefs, etc a changé pour un nouveau plus convivial. Testez-le ci-dessous';