Index: trunk/plugins/TakeATour/language/el_GR/plugin.lang.php
===================================================================
--- trunk/plugins/TakeATour/language/el_GR/plugin.lang.php	(revision 29276)
+++ trunk/plugins/TakeATour/language/el_GR/plugin.lang.php	(revision 29401)
@@ -186,2 +186,4 @@
 $lang['privacy_stp20'] = 'Τώρα ξέρετε πώς να κρατήσει ιδιωτικές τις φωτογραφίες σας, αλλά μπορεί να αναρωτιέστε για το πώς να προστατέψετε τις δημόσιες φωτογραφίες σας. Ίσως πρώτα να σκεφτούμε σχετικά με τον αποκλεισμό του επισκέπτη από το να κατεβάσει τη φωτογραφία: δεν μπορείτε, γιατί η ιστοσελίδα έχει δημιουργηθεί με αυτόν τον τρόπο (το πρόγραμμα περιήγησης του επισκέπτη κατεβάσετε όλα τα μέσα που εμφανίζονται και περισσότερο). Μπορεί να απενεργοποιηθεί το δεξί κλικ, και να μπει ένα κενό layer από πάνω από τη φωτογραφίας κλπ, αλλά έτσι δεν θα απενεργοποιήσετε τη λήψη. Πλήρης ιστοσελίδες μπορούν να κατέβουν από οποιονδήποτε web browser.';
 $lang['privacy_stp2'] = 'Εδώ μπορείτε να έχετε πρόσβαση σε ολοκληρωμένη Βοήθεια. Κάντε κλικ στο κουμπί Επόμενο για να συνεχίσετε απευθείας στη σελίδα βοήθειας για τη διαχείριση των αδειών';
+$lang['privacy_stp22'] = '<em>Για προχωρημένους χρήστες</em><br><br>Στο Piwigo, μπορείτε να προστατεύσετε τις αρχικές φωτογραφίες χρησιμοποιώντας την τοπική διαμόρφωση σας. Χρησιμοποιήστε τη μεταβλητή $conf[\'original_url_protection\']: από προεπιλογή είναι άδεια, μπορείτε να ορίσετε την τιμή σε "images" για να προστατευτούν μόνο οι εικόνες ή "all" για να προστατεύσετε όλους τους τύπους αρχείων πολυμέσων, το οποίο μπορεί να καταναλώνει πόρους  ή ίσως απλά δεν λειτουργεί στο διακομιστή σας.<br><br>Αυτή η επιλογή δουλεύει σε δημόσιο και ιδιωτικό περιεχόμενο. Αυτή η επιλογή απαιτεί σήμερα να αρνηθείτε την πρόσβαση στους φακέλους /upload / και /galleries, χρησιμοποιώντας ένα αρχείο .htaccess (συνήθως ένα αρχείο κειμένου με "Deny from all" για το περιεχόμενο)ή ρυθμίσεις του διακομιστή.<br><br>Παρακαλείστε να σημειώσετε ότι τα ονόματα των αρχείων των φωτογραφιών που ανέβηκαν χρησιμοποιώντας άλλη μέθοδο εκτος του FTP είναι <b>τυχαία</b>, έτσι ώστε να είναι αδύνατον να μαντέψει: ότι το όνομα αρχείου και έτσι η διαδρομή προς την αρχική φωτογραφία μπορεί να γίνει γνωστή μόνο αν ο επισκέπτης έχει πρόσβαση σε αλλαγή μεγέθους εικόνας της φωτογραφίας, όπως η μικρογραφία. $conf[\'original_url_protection\'] και την παρεμπόδιση πρόσβασης στους φακέλους /upload και /galleries είναι για να αποφευχθεί αυτή  η περίπτωση.';
+$lang['privacy_stp21'] = 'Η λύσεις είναι:<ul><li>βάλτε ένα υδατογράφημα, τουλάχιστον στις μεσαίες και υψηλής ευκρίνειας φωτογραφίες.</li><li>απενεργοποιήστε τα μεγέθη XL και XXL.</li><li>και απενεργοποιήστε το High Definition (τη λήψη και την απεικόνιση της αρχικής φωτογραφία) για τους ενδιαφερόμενους χρήστες.';