Index: /trunk/plugins/TakeATour/language/fr_FR/description.txt
===================================================================
--- /trunk/plugins/TakeATour/language/fr_FR/description.txt	(revision 29433)
+++ /trunk/plugins/TakeATour/language/fr_FR/description.txt	(revision 29434)
@@ -1,1 +1,1 @@
-Apprenez à utiliser votre Piwigo, avec ce plugin qui vous prendra par la main à travers ses 'visites' à thèmes
+Apprenez à utiliser votre Piwigo grâce à des visites guidées interactives.
Index: /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 29433)
+++ /trunk/plugins/TakeATour/language/fr_FR/plugin.lang.php	(revision 29434)
@@ -31,5 +31,4 @@
 $lang['first_contact_title39'] = 'Plugins';
 $lang['first_contact_title43'] = 'Ce fut un grand moment';
-$lang['first_contact_title42'] = 'Langues';
 $lang['first_contact_stp22'] = 'Comme pour une image, vous pouvez éditer ici les propriété d\'un album';
 $lang['first_contact_stp2'] = 'Le lien est ici. Cliquez sur Suivant pour continuer';
@@ -70,5 +69,4 @@
 $lang['first_contact_stp40'] = 'Me voici ! Ne me désactivez pas maintenant, mais observez que vous pouvez désactiver ou réinitialiser un plugin activé.';
 $lang['first_contact_stp41'] = 'Vous pouvez voir dans le dernier onglet les plugins disponibles pour votre version de Piwigo. Il existe des centaines de plugins ici !';
-$lang['first_contact_stp42'] = 'Piwigo est multi-langues. Par défaut, la langue affichée par Piwigo varie avec la langue du navigateur de votre visiteur. Ci la langue du visiteur n\'est pas disponible, la langue par défaut est utilisée.';
 $lang['first_contact_stp43'] = 'Cette visite est un peu longue, mais nous n\'avons vu qu\'une petite partie des capacités de Piwigo. Tout a une fin, cet apperçu est terminé. <br/>Vous pouvez approfondir vos connaissances sur Piwigo en choisissant une autre visite ou en lisant notre documentation sur le site web piwigo.org.';
 $lang['first_contact_stp6'] = 'Vous voyez que les photos sont listées. Ajoutez au moins 2 images et quand vous êtes prêt, cliquez sur le bouton Démarrer le téléchargement';
@@ -156,2 +154,12 @@
 $lang['privacy_descrp'] = 'Cette visite vous présente toutes les manières de protéger vos photos de l\'accès public avec des systèmes d\'autorisation par album et par image, et vous protège de la copie à l\'aide de protection d\'image.';
 $lang['2_7_0_stp6'] = 'Le script de sélection pour choisir les albums, les mots-clefs, etc a changé pour un nouveau plus convivial. Testez-le ci-dessous';
+$lang['first_contact_stp5'] = 'Ensuite cliquez sur ce bouton pour sélectionner des photos à envoyer, ou bien faites un simple glisser/déposer de vos fichiers.';
+$lang['first_contact_stp35'] = 'Définissez votre thème préféré comme thème par défaut.';
+$lang['first_contact_stp34'] = 'Choisir un thème est la première étape pour personnaliser votre Piwigo. Les thèmes installés sont listés sur cette page.<br>Plusieurs thèmes peuvent être activés à la fois : les utilisateurs identifiés peuvent choisir l\'un des thèmes activés (option désactivable sur la page de configuration).';
+$lang['first_contact_stp26'] = 'Sur cette page vous pouvez passer l\'album en privé, puis donner les permissions d\'accès aux groupes et aux utilisateurs. Par défaut, les permissions s\'appliquent automatiquement aux albums parents mais pas aux albums enfants.';
+$lang['first_contact_stp21'] = 'L\'onget suivant vous permet de déplacer les albums.<br>L\'onglet "Permaliens" permet de définir l\'url pour un album.<br>Concentrons nous pour le moment sur l\'édition d\'un album : cliquez sur le lien "Editer" d\'un album.';
+$lang['first_contact_stp19_b'] = 'Voici la liste des albums racine.';
+$lang['first_contact_stp19'] = 'Voici la liste des albums racine. Si vous voyez un fond hachuré, c\'est qu\'il s\'agit d\'un album physique créé par synchronisation FTP. Les albums physiques ne peuvent être ni déplacé ni supprimé depuis cette page. Les autres albums sont appelés "virtuels".';
+$lang['first_contact_stp18'] = 'Voyons comment gérer les albums maintenant. Cliquez sur <em>Albums » Gérer</em> ou bien cliquez sur le bouton "Suivant".';
+$lang['first_contact_stp17'] = 'Ici vous pouvez désigner la photo comme représentante d\'un ou plusieurs albums : c\'est une miniature de cette photo qui sera utilisée dans la liste des albums. La photo n\'a pas besoin d\'être associée à l\'album pour le représenter.<br><br>Si la photo est associée à l\'album, il est encore plus simple de la désigner comme représentante depuis la page de la photo dans la galerie (astuce : activez le plugin Admin Tools pour encore plus de simplicité).';
+$lang['first_contact_stp12'] = 'puis éditez les en choisissant une action';