Index: /trunk/plugins/TakeATour/language/ca_ES/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/ca_ES/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/ca_ES/plugin.lang.php	(revision 29435)
@@ -66,5 +66,4 @@
 $lang['first_contact_title7'] = '';
 $lang['first_contact_title8'] = '';
-$lang['first_contact_title42'] = 'Idiomes';
 $lang['first_contact_title9'] = 'El gestor per lots';
 $lang['First Contact'] = 'Primer contacte';
@@ -82,5 +81,4 @@
 $lang['first_contact_stp40'] = 'Ara em toca a mi! No em deshabilitis ara ja que podreu veure com Deshabilitar o Restaurar un connector activat. ';
 $lang['first_contact_stp41'] = 'En l\'anterior pestanya heu pogut veure tots els connectors que estan habilitats per la vostra versió de Piwigo. N\'hi ha centenars!';
-$lang['first_contact_stp42'] = 'Piwigo és multi-idioma. Per defecte, l\'idioma que mostra Piwigo canvia d\'acord amb l\'idioma del navegador del visitant. Si no voleu que es tingui en compte l\'idioma del visitant, Piwigo utilitza l\'idioma per defecte.';
 $lang['first_contact_stp43'] = 'Aquesta visita ha estat una mica llarga, però només hem vist una petita part de totes les característiques de Piwigo. Tot té un final i aquesta visita preliminar s\'ha acabat.<br/> Podeu descobrir més característiques de Piwigo agafant una altra visita o llegint la documentació al lloc web de piwigo.org';
 $lang['first_contact_stp20'] = 'Quan el ratolí passa per sobre d\'un àlbum apareix la informació i els enllaços. Quan cliqueu i arrastreu un àlbum -un bloc arrodonit- podeu canviar la posició i més tard guardar o cancel·lar l\'ordre manual.';
Index: /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 29435)
@@ -42,5 +42,4 @@
 $lang['first_contact_stp40'] = 'Hov, det er mig! Deaktiver mig ikke nu, men den kan se, at en aktiveret plugin både kan deaktiveres og genaktiveres.';
 $lang['first_contact_stp41'] = 'På den sidste fane ser man alle tilgængelige plugins til din version af Piwigo. Der er hundredvis af plugins!';
-$lang['first_contact_stp42'] = 'Piwigo er flersproget. Som standard benytter Piwigo den besøgendes webbrowsers sprog. Hvis den besøgendes sprog ikke er tilgængeligt, anvendes i stedet standardsproget.';
 $lang['first_contact_stp43'] = 'Udflugten var ganske lang, og alligevel har vi kun set en lille del af alt det Piwigo kan. Alt må slutte et sted, og denne gennemgang er færdig.<br>Du kan udforske Piwigos funktionalitet meget grundigere, ved at tage på en anden udflugt eller ved at læse vores dokumentation på hjemmesiden piwigo.org.';
 $lang['first_contact_stp38'] = 'Med plugins er det meget let at tilpasse din Piwigo. De kan næsten alt, hvad man kan forestille sig, fra som teksttilføjelser til komplet funktionalitet, så som Community-plugin\'en, der gør det muligt for brugere, der ikke er administratorer, at uploade uden at gå ind i administrationsdelen.';
@@ -48,5 +47,4 @@
 $lang['first_contact_stp4'] = 'Vælg først et album, opret et hvis der endnu ikke er nogen.';
 $lang['first_contact_stp37'] = 'For at installere nye temaer, kan de downloade dem direkte fra fanen "Tilføj et tema". Kun temaer markeret som kompatible med din version af Piwigo, bliver vist.<br>Lad os nu udforske plugins! Klik på Plugins -> Håndter';
-$lang['first_contact_title42'] = 'Sprog';
 $lang['first_contact_title43'] = 'Det har været hyggeligt';
 $lang['first_contact_title9'] = 'Batch Manager';
Index: /trunk/plugins/TakeATour/language/de_DE/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/de_DE/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/de_DE/plugin.lang.php	(revision 29435)
@@ -26,5 +26,4 @@
 $lang['first_contact_title13'] = '';
 $lang['first_contact_title41'] = '';
-$lang['first_contact_title42'] = 'Sprachen';
 $lang['first_contact_title43'] = 'Es war eine tolle Zeit';
 $lang['first_contact_title5'] = '';
@@ -117,5 +116,4 @@
 $lang['2_7_0_title3'] = 'Schnell Suche';
 $lang['first_contact_stp24'] = 'Einer der wichtigsten Seiten ist die Seite für die Zugriffsberechtigungen für Private Alben. Klicke auf den Berechtigungs - Tab oder auf weiter';
-$lang['first_contact_stp42'] = 'Piwigo ist Mehrsprachig. Die Voreinstellung zeigt die Sprache an die vom Browser des Besuchers benutzt wird. Falls die Sprache des Besuchers nicht vorhanden ist wird die Sprache aus der Grundeinstellung genommen.';
 $lang['2_7_0_stp2'] = 'Wie du siehst, wurde ein vorgegebenes Plugin hinzugefügt. Mache eine Tour. Dieses Plugin hilft dir Piwigo zu entdecken. Hier sind alle verfügbaren Touren aufgelistet. <br> Diese Seite ist in <em> Plugins » mache eine Tour</em> verfügbar ';
 $lang['2_7_0_stp11'] = 'Diese Tour ist zu Ende. <p style="text-align:center"> Freue dich über Piwigo 2.7! </p> Wenn dir Piwigo gefällt und du uns unterstützen möchtest, dann kannst du beim übersetzen helfen, etwas Spenden usw.  <a href="http://piwigo.org/basics/contribute" target="_blank"> Klicke hier um uns zu unterstützen </a>';
Index: /trunk/plugins/TakeATour/language/el_GR/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/el_GR/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/el_GR/plugin.lang.php	(revision 29435)
@@ -54,5 +54,4 @@
 $lang['first_contact_title5'] = '';
 $lang['first_contact_title43'] = 'Είναι μια υπέροχη στιγμή';
-$lang['first_contact_title42'] = 'Γλώσσες';
 $lang['first_contact_title41'] = '';
 $lang['first_contact_title40'] = '';
@@ -136,5 +135,4 @@
 $lang['first_contact_stp43'] = 'Η περιήγηση αυτή ήταν αρκετά μακροσκελής, αλλά είδαμε μόνο μέρος από το πόσο ισχυρό εργαλείο είναι το Piwigo. Όλα έχουν ένα τέλος, αυτή η επισκόπηση τελείωσε.<br><br>Μπορείτε να ανακαλύψετε περισσότερα χαρακτηριστικά του Piwigo σε βάθος, κάνοντας μια άλλη περιήγηση ή διαβάζοντας την τεκμηρίωση, στην ιστοσελίδα του  piwigo.org.<br><br> Μην ξεχνάτε επίσης τον σύνδεσμο της Βοήθειας στην επάνω δεξιά γωνία σε κάθε Σελίδα διαχείρισης. <p style="text-align:center">Απολαύστε το Piwigo σας!</p>';
 $lang['privacy_descrp'] = 'Η περιήγηση αυτή παρουσιάζει τρόπους να προστατέψετε τις φωτογραφίες σας από δημόσια πρόσβαση με ένα σύστημα αδειών ανά λεύκωμα και ανά εικόνα, και από την αντιγραφή χρησιμοποιώντας προστασία εικόνας.  ';
-$lang['first_contact_stp42'] = 'Το Piwigo είναι πολυγλωσσικό. Από προεπιλογή, η γλώσσα που εμφανίζετε το Piwigo είναι η γλώσσα του browser  του επισκέπτη. <br><br>Αν η γλώσσα του επισκέπτη δεν μπορεί να βρεθεί, η γλώσσα που ορίζεται τότε είναι η προεπιλεγμένη. ';
 $lang['privacy_title1'] = 'Καλώς ήρθατε στην Περιήγηση Προστασίας Προσωπικών Δεδομένων';
 $lang['privacy_title12'] = 'Δικαιώματα λευκώματος';
Index: /trunk/plugins/TakeATour/language/es_ES/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/es_ES/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/es_ES/plugin.lang.php	(revision 29435)
@@ -110,5 +110,4 @@
 $lang['first_contact_stp43'] = 'Este tour ha sido bastante largo, pero solo hemos visto una pequeña parte de todo el potencial que tiene Piwigo. Todo tiene un final, esta visita ha acabado.<br>Puedes descubrir las funciones más en profundidad haciendo otro tour o leyendo la documentación en la web de piwigo.org';
 $lang['first_contact_stp41'] = 'Puedes ver en la última pestaña todos los plugins disponibles para tu versión de Piwigo. ¡Hay cientos de ellos!';
-$lang['first_contact_stp42'] = 'Piwigo es multilenguaje. Por defecto el idioma en el que se mostrará Piwigo se ajustará acorde al idioma del navegador del visitante. Si el idioma del visitante no está disponible se usará el idioma por defecto.';
 $lang['first_contact_stp38'] = 'Los plugins son una forma muy fácil de personalizar tu Piwigo. Pueden hacer casi cualquier cosa que puedas imaginar, desde añadir pequeños textos a funcionalidades completas, como el plugin Community que permite a los usuarios que no son administradores subir fotos sin entrar al panel de administrador.';
 $lang['first_contact_stp39'] = 'En esa primera página aparecen los plugins instalados. En la parte superior aparecen los plugins activados, los que están funcionando. En la parte de abajo aparecen los plugins que se han instalado pero están desactivados. Borrar un plugin significa eliminar cualquier rastro de ese plugin (archivos, opciones, etc). Para la mayoria de plugins, desactivarlos guardará la información que han recopilado estos plugins.';
@@ -120,5 +119,4 @@
 $lang['first_contact_title39'] = 'Plugins';
 $lang['first_contact_title4'] = '¡Vamos a añadir una foto!';
-$lang['first_contact_title42'] = 'Idiomas';
 $lang['first_contact_title43'] = 'Lo hemos pasado bien';
 $lang['first_contact_title9'] = 'El administrador por lotes';
Index: /trunk/plugins/TakeATour/language/it_IT/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/it_IT/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/it_IT/plugin.lang.php	(revision 29435)
@@ -45,5 +45,4 @@
 $lang['first_contact_title20'] = 'Gestione Album';
 $lang['first_contact_title43'] = 'E\' stato un grande momento';
-$lang['first_contact_title42'] = 'Lingue';
 $lang['first_contact_title9'] = 'Il Batch Manager';
 $lang['first_contact_title21'] = 'Altre schede';
Index: /trunk/plugins/TakeATour/language/lv_LV/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/lv_LV/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/lv_LV/plugin.lang.php	(revision 29435)
@@ -35,5 +35,4 @@
 $lang['first_contact_title9'] = 'Virknes darbību pārvaldnieks';
 $lang['first_contact_title43'] = 'Pavadīts jauks laiks';
-$lang['first_contact_title42'] = 'Valodas';
 $lang['first_contact_title29'] = 'Konfigurācija->Opcijas->Vispārēji';
 $lang['first_contact_title35'] = 'Tēmas';
@@ -79,5 +78,4 @@
 $lang['first_contact_stp43'] = 'Šis apskats bija diezgan garš, bet mēs tikai esam redzējuši nelielu daļu no tā, cik spēcīgs ir Piwigo. Visam ir beigas, šis pārskats ir pabeigts. <br>Jūs varat pamatīgāk iepazīties ar Piwigo, veicot kādu citu tūri vai lasot dokumentaciju piwigo.org mājas lapā.';
 $lang['first_contact_stp27'] = 'Svarīgs fakts: webmāsteri un administratori nav visvaroši publiskā daļā, bet tie var piekļūt ikvienam albūmam un fotogrāfijai administratora daļā.';
-$lang['first_contact_stp42'] = 'Piwigo ir daudzvalodu. Pēc noklusējuma Piwigo lietotā valoda mainās atkarībā no apmeklētāja interneta pārlūkā izmantotās valodas. Ja apmeklētāja valoda Piwigo nav pieejama, tad tiek izmantota valoda pēc noklusējuma.  ';
 $lang['first_contact_title27'] = '';
 $lang['first_contact_title30'] = '';
Index: /trunk/plugins/TakeATour/language/nl_NL/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/nl_NL/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/nl_NL/plugin.lang.php	(revision 29435)
@@ -73,5 +73,4 @@
 $lang['first_contact_title38'] = 'Plugins';
 $lang['first_contact_title39'] = 'Plugins';
-$lang['first_contact_title42'] = 'Talen';
 $lang['first_contact_title43'] = 'Het was een geweldige tijd';
 $lang['first_contact_title9'] = 'De Batch Manager';
@@ -132,5 +131,4 @@
 $lang['first_contact_stp6'] = 'Je kunt hier de lijst met foto\'s zien. Voeg tenminste 2 foto\'s toe en als je hiermee klaar bent klik je op de knop "Start Upload".';
 $lang['first_contact_stp43'] = 'Deze rondleiding was tamelijk lang en we hebben nog maar een klein deel van kracht van Piwigo onder de loep genomen. Maar, aan alles komt een eind en dit overzicht is voltooid.<br>Je kunt meer mogelijkheden van Piwigo ontdekken door een andere rondleiding te kiezen of onze documentatie te lezen op de website: www.piwigo.org.';
-$lang['first_contact_stp42'] = 'Piwigo is meertalig. Standaard past Piwigo de taal aan aan die van de browser van de bezoeker. Als deze niet beschikbaar is, zal Piwigo de standaard-taal gebruiken.';
 $lang['first_contact_stp39'] = 'Op de eerste pagina staan alle geïnstalleerde plugins. Bovenaan staan de ge-activeerde plugins die op dit moment draaien. Beneden op de pagina staan de plugins die wel zijn geïnstalleerd in de plugins-map, maar uitgeschakeld zijn. Met de verwijdering van een plugin verwijder je alle hiermee verbonden onderdelen (bestanden, opties, etc.). Voor de meeste plugins geldt dat bij uitschakeling ervan de gegevens behouden blijven.';
 $lang['first_contact_stp38'] = 'Plugins vormen een erg makkelijke manier om je Piwigo naar je persoonlijke smaak in te stellen. Ze kunnen bijna alles wat je je maar kunt voorstellen. Van kleine tekstuele toevoegingen tot volledige onderdelen, zoals bv. de Community-plugin die niet-beheerders toestaat om te uploaden zonder naar de beheerderspagina te gaan. ';
Index: /trunk/plugins/TakeATour/language/pl_PL/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/pl_PL/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/pl_PL/plugin.lang.php	(revision 29435)
@@ -60,5 +60,4 @@
 $lang['first_contact_stp32'] = 'Teraz zapisz swoje zmiany';
 $lang['first_contact_stp4'] = 'Najpierw wybierz album, lub stwórz nowy jeżeli jeszcze nie ma żadnego.';
-$lang['first_contact_stp42'] = 'Piwigo wspiera wiele języków. Domyślnie język w którego używa Piwigo jest dobierany tak, aby pasował do języka przeglądarki gościa. Jeżeli nie zostanie znaleziony, używany jest język domyślny.';
 $lang['first_contact_title29'] = 'Konfiguracja->Opcje->Ogólne';
 $lang['first_contact_title1'] = 'Witaj w swojej galeri Piwigo';
@@ -76,5 +75,4 @@
 $lang['first_contact_title39'] = 'Wtyczki';
 $lang['first_contact_title4'] = 'Dodajmy zdjęcie!';
-$lang['first_contact_title42'] = 'Języki';
 $lang['takeatour_configpage'] = 'Wybierz trasę » Lista tras';
 $lang['Take a tour and discover the features of your Piwigo gallery » Go to the available tours'] = 'Rozpocznij zwiedzanie i odkrywaj możliwości swojej galeri Piwigo » Przejdź do dostępnych wycieczek';
Index: /trunk/plugins/TakeATour/language/pt_BR/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/pt_BR/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/pt_BR/plugin.lang.php	(revision 29435)
@@ -56,5 +56,4 @@
 $lang['first_contact_title39'] = 'Plugins';
 $lang['first_contact_title4'] = 'Permite adicionar foto!';
-$lang['first_contact_title42'] = 'Idiomas';
 $lang['first_contact_title43'] = 'Tem sido um grande momento';
 $lang['first_contact_title9'] = 'Gerenciamento em Lote';
@@ -97,5 +96,4 @@
 $lang['first_contact_stp40'] = 'Aqui sou eu! Não me desabilite agora, mas você pode ver que você pode desativar ou restaurar um plugin ativado.';
 $lang['first_contact_stp41'] = 'Você pode ver na última guia todos os plugins disponíveis para a sua versão do Piwigo. Centenas de plugins estão lá!';
-$lang['first_contact_stp42'] = 'Piwigo é multilingue. Por padrão, o idioma exibido pelo Piwigo mudar de acordo com o idioma do navegador do visitante. Se o idioma do visitante não estiver disponível, o idioma definido por padrão é usado.';
 $lang['first_contact_stp43'] = 'Este passeio foi bastante longo, mas nós só vimos uma pequena parte de quão poderoso é o Piwigo. Tudo tem um fim, este panorama está terminado. <br> Você pode descobrir muito mais profundas características do Piwigo tfazendo uma outra turnê ou a leitura de nossa documentação, no site da piwigo.org.';
 $lang['first_contact_stp6'] = 'Você vê que as fotos estão sendo listadas. Adicione pelo menos 2 fotos e, quando estiver pronto, clique no botão Iniciar Envio';
Index: /trunk/plugins/TakeATour/language/pt_PT/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/pt_PT/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/pt_PT/plugin.lang.php	(revision 29435)
@@ -87,5 +87,4 @@
 $lang['first_contact_title39'] = 'Extensões';
 $lang['first_contact_title4'] = 'Permitir adicionar foto!';
-$lang['first_contact_title42'] = 'Idiomas';
 $lang['first_contact_title43'] = 'Tem sido um momento aprazível';
 $lang['first_contact_title9'] = 'Administrar miniaturização';
Index: /trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/ru_RU/plugin.lang.php	(revision 29435)
@@ -41,5 +41,4 @@
 $lang['first_contact_title39'] = 'Плагины';
 $lang['first_contact_title4'] = 'Давайте добавим изображение!';
-$lang['first_contact_title42'] = 'Языки';
 $lang['first_contact_title43'] = 'Это было прекрасное время';
 $lang['first_contact_title9'] = 'Плагин The Batch Manager';
@@ -59,5 +58,4 @@
 $lang['first_contact_stp43'] = 'Этот тур был весьма длинным, но мы увидели только незначительную часть всей мощи Piwigo. Всё имеет конец, вот и этот краткий обзор закончен. <br> Вы можете обнаружить гораздо больше классных особенностей Piwigo, выбрав другие туры или читая нашу документацию на веб-сайтах piwigo.org и ru.piwigo.org';
 $lang['first_contact_stp7'] = 'Здесь краткое описание Ваших загруженных изображений. Как видите, Piwigo создал эскизы-миниатюрки. Вы можете узнать, как еще добавлять изображения по ссылке внизу, редактировать свойства изображения, нажав на него, или нажмите кнопку для управления всеми загруженными изображениями в плагине Batch Manager...';
-$lang['first_contact_stp42'] = 'Piwigo - многоязычный. По умолчанию, язык Piwigo устанавливается согласно языку браузера посетителя. Если язык посетителя не доступен, используется язык, установленный в Piwigo по умолчанию.';
 $lang['first_contact_title6'] = '';
 $lang['first_contact_title7'] = '';
Index: /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php	(revision 29434)
+++ /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php	(revision 29435)
@@ -88,6 +88,4 @@
 $lang['Take a tour and discover the features of your Piwigo gallery » Go to the available tours'] = '开始导览，探索您的 Piwigo 图库 » 前往可用的导览';
 $lang['Visit your Piwigo!'] = '访问您的 Piwigo ！';
-$lang['first_contact_stp42'] = 'Piwigo 是多语言的。默认情况下，Piwigo 根据访问者浏览器的语言来显示界面语言。如果访问者的语言不可用，则将显示被设为默认的语言。';
-$lang['first_contact_title42'] = '语言';
 $lang['first_contact_stp41'] = '在最后这个标签页上您可以看到所有与您的 Piwigo 兼容的插件，数量成百喔！';
 $lang['first_contact_stp40'] = '瞧！我在这儿呢！可以看到您能够停用或恢复（恢复到默认配置）一个已启用的插件……，现在可不要停用我喔。';