Index: trunk/plugins/TakeATour/language/da_DK/plugin.lang.php
===================================================================
--- trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 29446)
+++ trunk/plugins/TakeATour/language/da_DK/plugin.lang.php	(revision 29447)
@@ -33,14 +33,14 @@
 $lang['Take a tour and discover the features of your Piwigo gallery » Go to the available tours'] = 'Tag på en udflugt og opdag hvordan dit Piwigo-galleri fungerer » Gå til tilgængelige udflugter';
 $lang['Visit your Piwigo!'] = 'Besøg din Piwigo!';
-$lang['first_contact_stp16'] = 'Her for at tilføje eller fjerne fotografier fra albummer. Linket er virtuelt, ingen fotografier vil nogensinde blive fjernet fysisk.';
+$lang['first_contact_stp16'] = '... i hvilke(t) album(mer) fotografiet befinder sig.<br><br>Her kan du tilføje eller fjerne fotografiet fra albummer. Linket er virtuelt, ingen fotografier vil nogensinde blive fjernet fysisk.';
 $lang['first_contact_stp2'] = 'Linket er her. Klik på Næste for at fortsætte';
 $lang['first_contact_stp20'] = 'Når din mus svæver over et album, viser links og oplysninger sig. Når du trækker og slipper et album - en blok med afrundede hjørner - ændrer du dets placering og du kan dernæst gemme eller annullere din manuelle rækkefølge.';
 $lang['first_contact_stp6'] = 'Du kan se, at fotografier opremses. Tilføj mindst to fotografier, og når de er klar, så klik på knappen Start upload';
 $lang['first_contact_stp7'] = 'Her er et resume af dine uploadede billeder. Bemærk at Piwigo af sig selv har genereret miniaturebillederne. Du kan nu tilføjet flere fotografier ved hjælp af linket nederst, redigere et billedes egenskaber ved at klikke på det eller klikke for at håndtere alle uploadede billeder i Batch Manager...';
-$lang['first_contact_stp8'] = 'Lad os redigere dem! Klik på linket, hvis du ikke kan se det, så klik på Foregående for at tilføje mindst to fotografier.';
-$lang['first_contact_stp9'] = 'Du er nu i Batch Manager, hvor man kan masseredigere flere billeder. Her er Kurven opsat som et filter, fordi vi kommer fra siden med uploadresultatet.';
+$lang['first_contact_stp8'] = 'Lad os redigere dem! Klik på linket.';
+$lang['first_contact_stp9'] = 'Du er nu i Batch Manager, hvor man kan masseredigere flere billeder.<br><br>Her er Kurven opsat som et filter, fordi vi kommer fra siden med uploadresultatet.';
 $lang['first_contact_stp40'] = 'Hov, det er mig! Deaktiver mig ikke nu, men den kan se, at en aktiveret plugin både kan deaktiveres og genaktiveres.';
 $lang['first_contact_stp41'] = 'På den sidste fane ser man alle tilgængelige plugins til din version af Piwigo. Der er hundredvis af plugins!';
-$lang['first_contact_stp43'] = 'Udflugten var ganske lang, og alligevel har vi kun set en lille del af alt det Piwigo kan. Alt må slutte et sted, og denne gennemgang er færdig.<br>Du kan udforske Piwigos funktionalitet meget grundigere, ved at tage på en anden udflugt eller ved at læse vores dokumentation på hjemmesiden piwigo.org.';
+$lang['first_contact_stp43'] = 'Udflugten var ganske lang, og alligevel har vi kun set en lille del af alt det Piwigo kan. Alt må slutte et sted, og denne gennemgang er færdig.<br><br>Du kan udforske Piwigos funktionalitet meget grundigere, ved at tage på en anden udflugt eller ved at læse vores dokumentation på hjemmesiden piwigo.org.<br><br>Glem ikke Hjælp-linket øverst til højre på alle administrationssider.<p style="text-align:center">God fornøjelse med din Piwigo!</p>';
 $lang['first_contact_stp38'] = 'Med plugins er det meget let at tilpasse din Piwigo. De kan næsten alt, hvad man kan forestille sig, fra som teksttilføjelser til komplet funktionalitet, så som Community-plugin\'en, der gør det muligt for brugere, der ikke er administratorer, at uploade uden at gå ind i administrationsdelen.';
 $lang['first_contact_stp39'] = 'På den første side er de installerede plugins opremset. Øverst vises de aktive plugins, det vil sige dem der pt. kører. I bunden vises de plugins, som er installeret i /plugin-mappen, men som er deaktiveret. Slettes en plugin, betyder det at ethvert spor af den bliver fjernet (filer, valgmuligheder, osv.). Ved de fleste plugins bevares dens data, hvis den deaktiveres.';
@@ -65,5 +65,5 @@
 $lang['first_contact_title25'] = 'Albumrettigheder';
 $lang['first_contact_title28'] = 'Opsætning';
-$lang['first_contact_title29'] = 'Opsætning->Valgmuligheder->Generelt';
+$lang['first_contact_title29'] = '<em>Opsætning » Valgmuligheder » Generelt</em>';
 $lang['first_contact_title3'] = 'Side til tilføjelse af fotografier';
 $lang['first_contact_title1'] = 'Velkommen i dit Piwigo-galleri';
@@ -186,2 +186,12 @@
 $lang['privacy_stp20'] = 'Nu ved du hvordan dine fotografier holdes private, men måske spekulerer du på, hvordan dine offentlige fotografier beskyttes. Først kunne du overveje at forhindre besøgende i at downloade fotografierne; det er ikke muligt, fordi web\'et ikke er indrettet sådan (den besøgendes browser downloader alle viste ressourcer, og flere til).  Højreklik kan slås fra, et tomt lag kan lægges oven på fotografiet osv, men det deaktiverer ikke download. Komplette websider kan gemmes af alle webbrowsere. ';
 $lang['privacy_stp21'] = 'Nogle løsninger:<ul><li>tilføj et vandmærke, som minimum på fotografier i mellem og høj opløsning.</li><li>og deaktiver størrelserne XL og XXL.</li><li>samt deaktiver High Definition (download og visning af det oprindelige fotografi) ved de pågældende brugere.';
+$lang['first_contact_stp5'] = 'Klik dernæst på knappen for at vælge hvilke fotografier, der skal sendes, eller træk og slip blot filerne.';
+$lang['first_contact_stp26'] = 'Her kan det aktuelle album opsættes som privat, hvorefter der tildeles adgang for brugere og grupper. Som standard gælder rettigheder automatisk forælderalbummer, men ikke underalbummer.';
+$lang['first_contact_stp34'] = 'Valg af tema er første skridt i tilpasning af Piwigo. Installerede temaer opremses her.<br>Mere end ét tema kan være aktiveret: brugere kan ændre deres tema ved at vælge blandt dem, der er aktiveret her, hvis \'Tillad brugertilpasning\' er valgt på valgmulighedssiden.';
+$lang['first_contact_stp35'] = 'Opsæt dit yndlingstema som standardtema.';
+$lang['first_contact_stp17'] = 'Her opsættes fotografiet som miniaturebillede til et eller flere albummer. Fotografiet behøver ikke at være knyttet til albummet, for at blive dets miniaturebillede. Hvis fotografiet er tilknyttet albummet, er det endnu lettere at opsætte det som albummets miniaturebillede fra fotografiets offentlige side (tip: anvend plugin\'en Admin Tools for at gøre det endnu lettere).';
+$lang['first_contact_stp18'] = 'Lad os nu se på hvordan man håndterer albummer. Klik på <em>Album » Håndter</em> eller tryk på Næste';
+$lang['first_contact_stp19'] = 'Her opremses \'rod\'-albummer. Hvis du ser et album med en punkteret baggrund, betyder det at det er et fysisk album fra en ftp-synkronisering. Fysiske albummer kan ikke flyttes eller slettes herfra. De andre albummer kaldes virtuelle albummer.';
+$lang['first_contact_stp19_b'] = 'Her opremses \'rod\'-albummer.';
+$lang['first_contact_stp21'] = 'Det næste faneblad er en side, hvor man kan flytte ethvert virtuelt album.<br>Parmalink-fanebladet er opsæt til en bestemt URL til et album.<br>Men lad os redigere et album: klik på Rediger ved et album';
+$lang['first_contact_stp12'] = 'og rediger dem dernæst ved hjælp af en handling';